[torqueusers] perl PBS

Garrick Staples garrick at clusterresources.com
Wed Dec 13 13:18:22 MST 2006


On Wed, Dec 13, 2006 at 12:12:02PM -0800, Sam Rash alleged:
> Hi,
> 
> 
> I've a couple quick questions on perl PBS
> 
>  
> 
> 1)       I grabbed 0.31 (April 06) from
> http://www-rcf.usc.edu/~garrick/perl-PBS/
> is this the latest version?  Where's the ideal location to get this?

Yup, that would be the "official" URL.

 
> 2)       The changelog for this last mentions torque 2.1.0.  We've got
> torque 2.1.6 and the oldest we use is 2.1.2.  is 0.31 compatible with this
> later torque?  Or again, is there a newer PBS

perl-PBS doesn't change with each release of TORQUE, just only to keep
up with significant changes.  In this case, the new build system in
2.1.0.

 
> 3)       In general, has anyone used this reliably?  (unfortunately some of
> our code-base for frameworks is in perl, a lot in fact, so we need a way to
> interface with torque beyond cmd-line utilities for efficiency)

I think it works great, but I'm obviously biased.



More information about the torqueusers mailing list